Factory
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.porttypes
Class Factory

    java.lang.Object
      GCUBEPortType
          org.gcube.dir.master.porttypes.BasePortType
              org.gcube.dir.master.porttypes.Factory

    public class Factory

extends BasePortType

Implementation of the factory port-type of the DIR Master service.
The port-type creates WS-Resources with `Master` interfaces (or simply Masters), which can be used to select among a number of target collections for the routing of queries as well as to fuse query results that emanate from target collections.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`Factory()`

Method Summary
`org.apache.axis.message.addressing.EndpointReferenceType` | `createMaster(FactoryParams params)` Returns the endpoint of a Master for one or more target collections.
`VOID` | `deployPlugin(Plugin params)` Deploys a plugin that conforms to the plugin requirements of the service.
`VOID` | `deployPluginRS(java.lang.String resultSetEPR)` Uses the ResultSet Service to deploy a plugin that conforms to the plugin requirements of the service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Factory

    public Factory()

Method Detail

### createMaster

    public org.apache.axis.message.addressing.EndpointReferenceType createMaster(FactoryParams params)
                                                                          throws GCUBEFault

  Returns the endpoint of a Master for one or more target collections.

  Parameters:
    `params` - the creation parameters, including the identifiers of the target collections.
  Returns:
    the endpoint.
  Throws:
    `GCUBEFault` - if the Master could not be created.

### deployPlugin

    public VOID deployPlugin(Plugin params)
                      throws GCUBEFault

  Deploys a plugin that conforms to the plugin requirements of the service. In particular, the plugin must be packaged in JAR whose manifest file includes an `Entry-Point` property set to the name of `Ranker` class or a `Merger` class.

  Parameters:
    `params` - deployment parameters
  Returns:
    the empty output.
  Throws:
    `GCUBEFault` - if the plugin could not be deployed.

### deployPluginRS

    public VOID deployPluginRS(java.lang.String resultSetEPR)
                        throws GCUBEFault

  Uses the ResultSet Service to deploy a plugin that conforms to the plugin requirements of the service. In particular, the plugin must be packaged in JAR whose manifest file includes an `Entry-Point` property set to the name of `Ranker` class or a `Merger` class.

  Parameters:
    `resultSetEPR` - the epr of the resultset that contains the plugin jar.
  Returns:
    the empty output.
  Throws:
    `GCUBEFault` - if the plugin could not be deployed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD